Subject: bug#47552: 27.1; cl-defstruct field names matching read-only variables -> bad code

From: Stefan Monnier <[email-masked]>
Date: Sun, 25 Jun 2023 00:03:52 -0400

> One (very small) downside of the code generated now is that it may
> trigger "Lexical argument shadows the dynamic variable" warnings.

Yup.  The current code doesn't offer a way to silence them with
`with-suppressed-warnings`, AFAICT :-(

> 'date' for example is bad as a slot name when "diary" is loaded.

AFAIK, `date` is not globally defined as dynbound by diary, so it should
not be a problem.  More specifically, the `date` variable is treated as
dynbound only inside calendar's own files, but not in code found in
other files.
If you found it to be otherwise, please report it as a bug.

        Stefan